﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@using System.Web.UI.WebControls;
@model SSCMvc.Models.Tb_VisaPayment
@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    @Content.Script("ChildAddEdit.js", Url)
    <script type="text/javascript">
        deleterecord("Tb_VisaPayment");
        $("#CDate").datepicker();
        $("#CDate").attr('placeholder', 'mm/dd/yyyy');

        $("#editcdate").datepicker();


        $("#ChequeDate").datepicker();
        $("#ChequeDate").attr('placeholder', 'mm/dd/yyyy');

        $('div.ui-dialog').css('width', '690px');



        $(document).ready(function () {

            HideTable();

            $("#PaymentMode").change(function () {

                HideTable();

            });

        });

        function HideTable() {
            var paymode = $("#PaymentMode").val();
            if (paymode == "Cash") {
                $("#paydetail").hide();

            }
            else {
                $("#paydetail").show();
            }
        }

    </script>
}
@using (Html.BeginForm())
{
    @Html.ValidationSummary(true)

    
   
       

     
    
    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Create Visa Payment</h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
          string refadd = CommonUtil.HomeAddress(utype);
          
            @Html.HiddenFor(model => model.StudentId) 
            @Html.HiddenFor(model => model.StudentType)
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>
    
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                @* <input type="submit" value="Save" class="btn btn-primary" />
                <input type="reset" value="Cancel" class="btn btn-primary" id="btnCancel" />
                <div class="btn-group">
                </div>*@
            </div>
            <div class="well">
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        @{
          if (@ViewBag.enqtype == "Enquiry")
          {
                            @Html.Action("_VisaEnqDetail", "MaEnquiry");
          }
          else
          {
                            @Html.Action("_VisaAdmDetail", "MaAdmission");
          }
                          
                        }
                        <table align="left">
                            <tr>
                                <td>
                                    <fieldset>
                                        <legend>Add New Payment</legend>
                                        <table width="80%">
                                            <tr>
                                                <td align="left" class="editor-label" width="115px">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                Date
                                                            </td>
                                                            <td>
                                                                <span class="color_style">*</span>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                                <td align="left" class="editor-field">
                                                    @Html.EditorFor(model => model.CDate)
                                                    @Html.ValidationMessageFor(model => model.CDate)
                                                </td>
                                                <td align="left" class="editor-label">
                                                    <table>
                                                        <tr>
                                                            <td>@Html.LabelFor(model => model.AmountPaid)
                                                            </td>
                                                            <td>
                                                                <span class="color_style">*</span>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                                <td align="left" class="editor-field">
                                                    @Html.EditorFor(model => model.AmountPaid)
                                                    @Html.ValidationMessageFor(model => model.AmountPaid)
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="left" class="editor-label">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                @Html.LabelFor(model => model.PaymentMode)
                                                            </td>
                                                            <td>
                                                                <span class="color_style">*</span>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                                <td align="left" class="editor-field">
                                                    @{
          var payopt = new List<ListItem>();

          payopt.Add(new ListItem { Text = "Cash", Value = "Cash" });
          payopt.Add(new ListItem { Text = "Cheque", Value = "Cheque" });
          payopt.Add(new ListItem { Text = "DD", Value = "DD" });
                  
        
   
                              
                                                    }
                                                    @Html.DropDownListFor(model => model.PaymentMode, new SelectList(payopt))
                                                    @Html.ValidationMessageFor(model => model.PaymentMode)
                                                </td>
                                                <td align="left" class="editor-label" width="125px">
                                                    Remarks
                                                </td>
                                                <td align="left" class="editor-field">
                                                    @Html.TextAreaFor(model => model.Remarks)
                                                </td>
                                            </tr>
                                        </table>
                                        <table width="80%" id="paydetail">
                                            <tr>
                                                <td align="left" class="editor-label">
                                                    <table>
                                                        <tr>
                                                            <td>@Html.LabelFor(model => model.ChequeNo)
                                                            </td>
                                                            <td>
                                                                <span class="color_style">*</span>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                                <td align="left" class="editor-field">
                                                    @Html.EditorFor(model => model.ChequeNo)
                                                    @Html.ValidationMessageFor(model => model.ChequeNo)
                                                </td>
                                                <td align="left" class="editor-label">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                @Html.LabelFor(model => model.ChequeDate)
                                                            </td>
                                                            <td>
                                                                <span class="color_style">*</span>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                                <td align="left" class="editor-field">
                                                    @Html.EditorFor(model => model.ChequeDate)
                                                    @Html.ValidationMessageFor(model => model.ChequeDate)
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="left" class="editor-label">
                                                    <table>
                                                        <tr>
                                                            <td>@Html.LabelFor(model => model.BankName)
                                                            </td>
                                                            <td>
                                                                <span class="color_style">*</span>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                                <td align="left" class="editor-field">
                                                    @Html.EditorFor(model => model.BankName)
                                                    @Html.ValidationMessageFor(model => model.BankName)
                                                </td>
                                                <td align="left" class="editor-label">
                                                </td>
                                                <td align="left" class="editor-field">
                                                </td>
                                            </tr>
                                        </table>
                                        <p>
                                            <input type="submit" value="Save" class="btn btn-primary" />
                                        </p>
                                        <b><span style="color: red">@ViewBag.err</span></b>
                                    </fieldset>
                                </td>
                            </tr>
                        </table>
                        <table align="left">
                            <tr>
                                <td>
                                    @Html.Action("_VisaFeeDetail")
                                </td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank"></a><a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "VisaStudents")

                    </a>
                </p>
            </footer>
        </div>
    </div>

}
